Bug 114441 - Convert use of sal_uLong to better integer types
Summary: Convert use of sal_uLong to better integer types
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.2.0 target:6.3....
Keywords: difficultyMedium, easyHack, skillCpp, topicCleanup
Depends on:
Blocks: Dev-related
  Show dependency treegraph
 
Reported: 2017-12-13 13:38 UTC by Michael Stahl (allotropia)
Modified: 2024-07-14 07:34 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (allotropia) 2017-12-13 13:38:12 UTC
During the removal of the tools types, the ULONG type was
converted to the sal_uLong type.

This is just a stop-gap, and every use of sal_uLong should
be reviewed and replaced by an appropriate unsigned integer type,
depending on the situation sal_uInt32, sal_uInt64, size_t or
"unsigned int" are likely candidates.

for an example see this commit, where positions of a SvStream
are converted, so sal_uInt64 is the correct type because
files can be larger than 4GB.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=05d3a1899eb50202fd3929b702bae1003b5610be
Comment 1 Shobitha M 2017-12-20 10:40:47 UTC
Hello, I am a newbie and wish to work on this bug,
Comment 2 Shobitha M 2017-12-20 10:51:12 UTC
Hey Michael, can you tell me in  which file "sal_uLong" is used and has to be reviewed and replaced with appropriate integer types?
Comment 3 Michael Meeks 2017-12-21 14:10:58 UTC
Hi Shobitha:

 $ git grep sal_uLong

is a great tool here. In which files ? I guess any files - but I would start with a small commit to somewhere where there are no virtual methods or overrides to confused the picture.

HTH.
Comment 4 Michael Stahl (allotropia) 2018-01-03 14:22:29 UTC
> git grep sal_uLong | wc -l
4988

it doesn't make sense to have this bug assigned to only one developer, lots of people can work in parallel without stepping on each other's toes.
Comment 5 Shubham Verma 2018-02-22 18:16:01 UTC
May you please tell how to review which data type is needed . It is very difficult to find the function calls etc to get an idea.
Comment 6 Xisco Faulí 2018-02-26 11:40:43 UTC
@Sourabh, as Michael said in comment 4, no need to assign it to yourself...
Comment 7 Commit Notification 2018-02-27 16:52:16 UTC
Shubham Verma committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b49701fa5c22abba6b9b4a60ddd2720973dd858

tdf#114441 sal_uLong to better integer types

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-08-30 08:29:01 UTC
Bijan Tabatabai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5857555e129a5913352cd7e8c7e825dd6892d808

tdf#114441 Convert  sal_uLong to other types in ./sc/source/ui/app

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-09-18 10:04:48 UTC
Caio B. Silva committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a93c71a97975c0b3f8fceae86fa2bd598a9eae59

tdf#114441 Replacing sal_uLong with most appropriate integer types

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Komal 2018-12-29 16:23:05 UTC
 Hi Michael, I am Komal. I am novice to open source. But really interested to learn and contribute for this organization. I went through this issue description and I made changes to one of the file ./sw/inc/pvprtdat.hxx. 
But I was confused about how to commit the changes. I have committed it on libreoffice/core repository on github. Is that valid? I'm sorry if I have done anything wrong.
Thank you!
Comment 11 himajin100000 2018-12-29 19:11:22 UTC
(In reply to Komal from comment #10)

https://wiki.documentfoundation.org/Development/gerrit/SubmitPatch
Comment 12 Komal 2018-12-31 13:35:16 UTC
(In reply to himajin100000 from comment #11)
> (In reply to Komal from comment #10)
> 
> https://wiki.documentfoundation.org/Development/gerrit/SubmitPatch

Thank You! I will check that out
Is the github repository obsolete now?
Comment 13 Tomaz Vajngerl 2018-12-31 16:20:01 UTC
on github libreoffice/core repository it clearly says "Read-only LibreOffice core repo - no pull request".

We never used github for LibreOffice development, it's just a mirror.
Comment 14 Komal 2018-12-31 17:26:39 UTC
(In reply to Tomaz Vajngerl from comment #13)
> on github libreoffice/core repository it clearly says "Read-only LibreOffice
> core repo - no pull request".
> 
> We never used github for LibreOffice development, it's just a mirror.

I am so sorry for creating this nuissance! Its very silly of me! Thanks!
Comment 15 Commit Notification 2019-01-11 17:01:24 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0515ffdb2e4c975f1d19257dfed2a24ff3cbfdb4%5E%21

tdf#114441 Convert use of sal_uLong to sal_uInt32

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2019-02-12 09:43:51 UTC
Komal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/de1a23288ff6e4d7228fd8d7920b37b570df8f9a%5E%21

tdf#114441,Change in the data type to sal_Int32

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2019-02-12 13:36:12 UTC
Salih Sariyar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/006734562be1fec6b8fa4ff291c51b6043265653%5E%21

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2019-04-15 12:13:12 UTC
Muzaffer Kadir YILMAZ committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b9e75051807b807a6c9b96433390e09abaf38c24%5E%21

tdf#114441 - Convert variables use Tell() function sal_uLong to sal_uInt64

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2019-10-09 14:26:24 UTC
Christian Barth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/261fa8cdf4626c9785e0ca4776e44eab4b9222e0

tdf#114441 changed some sal_uLong to better fitting types

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Shashikant Kadam 2019-12-07 14:48:51 UTC
Hi Michael Stahl, I am assigning task to myself. I will convert all sal_ULong to appropriate integer types of "filter" module.
Comment 22 Commit Notification 2020-01-15 18:13:35 UTC
shashikdm committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cf82475c785c47327cdc9d591d63d7a82dd1ac53

tdf#114441 Changing sal_uLong to appropriate integer type in filters module

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Michael Stahl (allotropia) 2020-01-20 13:44:38 UTC
hi Shashikant,

i didn't notice that immediately but please don't assign the issue to yourself, there are still ~4100 sal_uLong left in master and multiple people can work on them in parallel.

thanks for your patch :)
Comment 24 Commit Notification 2020-02-01 09:51:23 UTC
Pelin Kuran committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9465bc10db81d2a2d1e2a82dbaaefa02d2939db1

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2020-02-21 14:20:39 UTC
Pelin Kuran committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6cfdff7892bb5ee7c252886a6bad798979ae65f6

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2020-02-24 10:05:19 UTC
Pelin Kuran committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7fe377593e77c4ada5725e5e0d9acfdacbd70f57

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2020-02-27 14:44:20 UTC
Pelin Kuran committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e8c07076689d593b9d2863d166b1933ecb6f480a

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2020-03-04 10:22:50 UTC
Bugra committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3e0c5113a298d3ded705706193f8b6b909027b2f

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2020-03-11 15:43:44 UTC
Bugra committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cdc16e5d67ad4668cfa457fc277a796b413228a9

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2020-03-11 16:24:15 UTC
AlanTang committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eefbc076863671cb083a36bccad51ca34ef22e1b

tdf#114441 Convert use of sal_uLong to sal_uInt32

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2020-03-11 16:37:33 UTC
Bugra committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ad53c996205c290b88fd7acc9fa5c42c3eb5862b

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2020-03-20 16:58:33 UTC
Bugra committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/337049d4642be4349dd8af3021e05165572d0bfa

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2020-03-23 18:28:45 UTC
Furkan Ahmet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bf4f7732fa8b452efb5b1bfa4583357c06bbff2f

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2020-03-25 19:21:36 UTC
Furkan Ahmet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/200fbb32c9d620e52c30f0016f11d595c1614185

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2021-01-21 15:37:09 UTC
siddheshpatil777 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5419b894a2e791de24d10f0c4433a807e175e7a0

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2021-03-11 10:38:08 UTC
Bayram Çiçek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a88effc4f53da8ae476f6a9f24b96e5948b17bee

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2021-03-16 10:45:56 UTC
Ahmet Hakan Çelik committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0726ecd9e2f2d94e9f49eb40d2b4952475e02764

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2021-08-12 09:40:44 UTC
Emircan Agac committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ee0cf03dc4a551b1cd03ee438b83fd7eea628fc5

tdf#114441:Convert use of sal_uLong to better integer types

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2021-08-13 08:44:45 UTC
Emircan Agac committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c7685f030fe39ff25c4ad30bc94e28ead7476934

tdf#114441:Convert use of sal_uLong to better integer types

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2021-08-18 08:22:48 UTC
Yildiray committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/686528f3281ce60c1d5c12cb867b2b16081444af

tdf#114441 :Convert use of sal_uLong to better integer types

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2021-08-26 09:19:19 UTC
Radhey Parekh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d27991cc8770d98c8ec2c892dd88756b1089bd6b

tdf#114441 Convert use of sal_uLong to better int types

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2021-09-06 05:48:38 UTC
Baran Aytas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d383a70c46e0dcbe74d6765cd5a394428c198917

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2021-11-03 09:08:06 UTC
Natalia Gavrilova committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0a059912bae4e3bc0b2640efb4e163d79f54a5d7

tdf#114441 Convert use of sal_uLong to sal_uInt32, int

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2021-11-23 13:27:21 UTC
Henrik Palomäki committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5d01e747270722ad9216ace8e782c7dfac5d744e

tdf#114441 Convert use of sal_uLong to sal_uInt32

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2021-11-23 19:58:39 UTC
Henrik Palomäki committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e8ef9c403f6ceb7b3fbe8d9b3c9622963a7f7a34

tdf#114441 Change use of sal_uInt32 to sal_Int32

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2022-03-18 20:07:46 UTC
VaibhavMalik4187 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f433d9cf8be6507f0299492794da9ed5d749a6ad

tdf#114441 Convert sal_uLong to other types

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2022-03-24 13:58:44 UTC
Tushar Jham committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/86fac2109d3b5e159628aee6392ecc856fb8a5a6

tdf#114441: Convert use of sal_uLong into better integer types

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2022-10-16 07:20:24 UTC
PoonamShokeen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/42d7cd1abca095d5166a7f4355f1cfc0f822961b

tdf#114441 Convert use of sal_uLong to sal_uInt32

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 49 Commit Notification 2022-10-20 10:10:54 UTC
Calvince Otieno committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b74e7c0fef80336de1d0c2d0737c2fd2db56cbd9

tdf#114441 sal_uLong type to sal_uInt32 type

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 50 Commit Notification 2022-10-21 17:16:26 UTC
Ilmari Lauhakangas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1f687c07878b56cd07bedf4a04790375ac881658

Related: tdf#114441 use better types in place of recently changed ones

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2022-11-13 10:57:12 UTC
Harshita Nag committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/75b569890a6630bb2a5b727c8567f7ea59ccb62e

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2022-12-08 22:45:27 UTC
Nalini Prasad Dash committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/855bf4d68865ef046c8f527bf19e3ec78c7b033a

tdf#114441 - Convert use of sal_uLong to better integer types

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2022-12-20 09:33:38 UTC
Leonid Ryzhov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3cc818c38e11c0882bc3ad32ffd0019a9ad38643

tdf#114441 Convert use of sal_uLong to better integer types

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2022-12-28 16:18:34 UTC
Hossein committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/196930bae2577a73a0201bda943e8cccaa839e2b

Revert "tdf#114441 Convert use of sal_uLong to better integer types"

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2023-01-03 22:42:27 UTC
Andrea Rosetti committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d3a5a97f77378421f17b1fa43d0b88dde8bc686a

tdf#114441 Convert sal_uLong to a better type

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 56 Commit Notification 2023-02-24 11:50:54 UTC
Rasenkai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e66940a8d147c1dff14e34c8e9421dcf2429cb4f

tdf#114441 vcl: source: Convert sal_uLong to a better type

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 57 Commit Notification 2023-02-24 12:30:00 UTC
Adoche Onaji committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8429f5ca376196f1f26c6729cd2559a8a246b9da

tdf#114441 Convert sal_uLong to a better type

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 58 Hossein 2023-02-24 12:48:33 UTC
Re-evaluating the EasyHack in 2023

This issue is still relevant. In total, now there are around 2k of remaining sal_uLong usages in the code:

$ git grep sal_uLong *.cxx *.hxx|wc -l
2066

If you want to which modules/directories have the least/most remaining sal_uLong instances, you can use this simple bash script:

for d in */
do
        cd $d
        count=$(git grep sal_uLong *.cxx *.hxx|wc -l)
        if [ $count -ne 0 ]
        then
                echo -n $count
                echo ": $d"
        fi
        cd ..
done

This is a sorted output from the latest code:

$ ./count.sh |sort -h
1: editeng/
1: reportdesign/
1: unotools/
2: chart2/
2: cui/
2: dbaccess/
2: desktop/
2: drawinglayer/
3: basctl/
3: framework/
6: svl/
8: svx/
11: toolkit/
13: compilerplugins/
14: lotuswordpro/
25: starmath/
37: svtools/
39: filter/
65: include/
125: sd/
436: vcl/
597: sc/
671: sw/
Comment 59 Commit Notification 2023-03-02 09:49:54 UTC
Yomnasalama committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/badb7b6934182149c878d0917a81c0e414a9d922

tdf#114441: replace sal_uLong with sal_uInt8 as all of them are small constants

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 60 Commit Notification 2023-03-02 13:04:26 UTC
Shady Mohamed committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/350f51569c8d8498eabcbeef4323083c8e13371e

tdf#114441 Convert sal_uLong to better data type sal_uInt32

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 61 Commit Notification 2023-03-09 11:02:40 UTC
Arvind K committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/013fbfb592f71c1f0a60b6a7ec08aded375515ac

tdf#114441 Convert sal_uLong to better integer types

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 62 Commit Notification 2023-03-11 13:27:18 UTC
Abdallah Elhdad committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1927c6687ffc45a639aa5aaed1e6c7d2f9892b85

tdf#114441 Convert sal_uLong to sal_uInt32

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Commit Notification 2023-03-15 13:43:23 UTC
NirnayK committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/158be75c71a2a22f108685bc03c64dbac77e9b73

tdf#114441: Convert use of sal_uLong to better integer types

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 64 Commit Notification 2023-03-19 08:01:03 UTC
Vinit Agarwal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/48b1fdf31f2fd4e9de47bda40e58cde7be9bc94d

tdf#114441 - Convert use of sal_uLong to better integer types.

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 65 Commit Notification 2023-03-23 11:53:44 UTC
Arvind K committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e466b4a92f5f7c49c6aff01af994d59d13633529

tdf#114441 Convert sal_uLong to better integer types

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2023-05-02 10:31:01 UTC
Aman Jha committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/53c641702a280be8b80976301f3427b41d2e0b74

tdf#114441 Convert sal_uLong to better integer types

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 Commit Notification 2023-05-08 10:57:37 UTC
mostafa-elsharnoby committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c5c83c8e6c4ddbb7f1fa88b9ab0a67ccbb2627c3

tdf#114441 Convert use of sal_uLong to sal_uInt32

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 68 Commit Notification 2023-07-18 12:56:48 UTC
Venetia Furtado committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a8a7fb58398047ad4b146b96a13567ed9e256100

tdf#114441: Replace sal_uLong with size_t in doccomp.cxx

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 69 Commit Notification 2023-09-05 20:52:23 UTC
sahil committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b4dd91f3a10610924e736445e17506b49b619a70

tdf#114441 - Convert use of sal_uLong to better integer types

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 70 Commit Notification 2023-09-12 00:37:05 UTC
sahil committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f5bcc34580d02f92af01963155f2d54776a5249b

tdf#114441 - Convert sal_uLong to better integer types

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 71 Commit Notification 2023-10-20 01:38:19 UTC
Adam Seskunas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1e6c1b672b1b93376f3c816e870d956b84e089e7

tdf#114441 Convert use of sal_uLong to better integer types

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 72 Hossein 2023-10-24 23:17:38 UTC
Updated statistics, created with the script in comment 58:

$ ./count.sh | sort -h
1: dbaccess/
1: unotools/
2: drawinglayer/
3: framework/
6: svl/
8: svx/
11: toolkit/
13: compilerplugins/
25: starmath/
31: svtools/
34: filter/
62: include/
111: sd/
416: vcl/
592: sc/
635: sw/

Total:
$ git grep sal_uLong|wc -l
1956
Comment 73 Commit Notification 2023-10-25 09:28:03 UTC
sahil committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e558cbed9b350f2e6cbe948d648471499e0deffc

tdf#114441 - Convert use of sal_uLong to better integer types

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 74 Commit Notification 2023-11-03 21:53:30 UTC
Ankit_Jaipuriar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e963da8716a9e418ff220f0c0b5299dcaa82f53a

tdf#114441 Convert sal_uLong to better data types

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 75 Commit Notification 2023-11-04 01:35:48 UTC
EMartinGube committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d7a5e7643f3540b1490c1e2f1a91ff86c721d7b6

tdf#114441 Convert use of sal_uLong to better integer types

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 76 Commit Notification 2023-11-09 12:46:12 UTC
Yli875 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/38f9bc92401899489c94276f8647a747f17598e1

tdf#114441 Convert sal_uLong to better integer types

It will be available in 24.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 77 Commit Notification 2023-12-21 22:38:47 UTC
t-aswath committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a2cd681369061574974517b1aabf78613f5601b7

tdf#114441 - Convert use of sal_uLong to better integer types

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 78 Commit Notification 2024-01-03 21:02:17 UTC
gilssonn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1cca19ad9701f4104ba6764802712387c29f28e3

tdf#114441 Convert use of sal_uLong to better integer types

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 79 Commit Notification 2024-01-04 11:38:44 UTC
buldi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f5e5e86144152e5f98cbb985939a883936fe86d7

tdf#114441 sal_uLong to better integer type

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 80 Commit Notification 2024-01-09 18:57:02 UTC
sahil committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0decafad011cf84cf9cc7d8bdcad6d7ebfba6073

tdf#114441 - Convert sal_uLong to better integer types

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 81 Commit Notification 2024-01-10 18:06:05 UTC
Kira Tubo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9d7d93bab83f7a421da6c2a3c3d68f54de93ab2b

tdf#114441 Convert sal_uLong to sal_Int32

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 82 Commit Notification 2024-01-17 13:09:08 UTC
AmosAidoo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4df1ee15e4482d40b90435f054ee6cfd94233a68

tdf#114441 convert sal_uLong to appropriate type

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 83 Commit Notification 2024-01-23 07:05:51 UTC
AmosAidoo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e3d03fa00d49c164ec235d77c827109eac522623

tdf#114441 convert sal_uLong to appropriate types

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 84 Commit Notification 2024-02-16 09:51:24 UTC
seturaj committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c67f138ed80e1e50638901a6b6e16946b4bcd92d

tdf#114441 : sal_uLong to better integer types

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 85 Commit Notification 2024-02-28 07:17:09 UTC
AhmedHamed committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e6ecd5a32c457a1049b601b84b93899cb6ddaefa

tdf#114441 Convert sal_uLong to sal_uInt32 in TreeControlPeer

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 86 Commit Notification 2024-03-08 06:07:03 UTC
Steven Casey (SMCode) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bf35f2b36fc00f9b37397422b2ee425c6a697540

tdf#114441 change use of sal_uLong to better integer types in filter

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 87 Commit Notification 2024-03-11 14:04:35 UTC
Keldin Maldonado (KNM) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2205be28b420b76fa580d5979c051bcdb54bf422

tdf#114441 use sal_uInt32 instead of sal_uLong

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 88 Commit Notification 2024-03-15 19:26:04 UTC
anish.deshpande committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bbafffa0ebd837a2951b0730a9a95c116c8e8fe8

tdf#114441 change use of sal_uLong to better integer types in dbaccess

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 89 Commit Notification 2024-03-22 10:13:32 UTC
anish.deshpande committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7d384d63105af039cd0246395d005f337073eac6

tdf#114441 change use of sal_uLong to better integer types in toolkit

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 90 Commit Notification 2024-04-10 11:55:20 UTC
Rafał Dobrakowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/97af15c86ccd4f780d7cf8e79cd49cd2e9aef5f6

tdf#114441 Convert sal_uLong to better integer types

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 91 Commit Notification 2024-07-14 07:34:00 UTC
HakimOttey committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63fe0d6c07eed6a4b125c6ee0fb2d53ed689385f

tdf#114441 replace sal_uLong with tools::Long

It will be available in 25.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.